import request from '@/utils/request'

// 查询广西自治区数据列表
export function listGXZZQ(query) {
  return request({
    url: '/business/GXZZQ/list',
    method: 'get',
    params: query
  })
}

// 查询广西自治区数据所有列表
export function listAllGXZZQ(query) {
  return request({
    url: '/business/GXZZQ/listAll',
    method: 'get',
    params: query
  })
}

// 查询广西自治区数据详细
export function getGXZZQ(id) {
  return request({
    url: '/business/GXZZQ/getInfo/' + id,
    method: 'get'
  })
}

// 新增广西自治区数据
export function addGXZZQ(data) {
  return request({
    url: '/business/GXZZQ/add',
    method: 'post',
    data: data
  })
}

// 修改广西自治区数据
export function updateGXZZQ(data) {
  return request({
    url: '/business/GXZZQ/edit',
    method: 'post',
    data: data
  })
}

// 删除广西自治区数据
export function delGXZZQ(id) {
  return request({
    url: '/business/GXZZQ/remove/' + id,
    method: 'get'
  })
}
